<?xml version="1.0" encoding="utf-8" standalone="yes"?>
<!--

    DTP API Disclaimer

    Copyright (c) 2014, Dictao.

    All rights reserved.

    Redistribution and use in source and binary forms, with or without  
    modification, are permitted provided that the following conditions are met:

    - Redistributions of source code must retain the above copyright notice,
      this list of conditions and the following disclaimer.
    - Redistributions in binary form must reproduce the above copyright notice,
      this list of conditions and the following disclaimer in the documentation
      and/or other materials provided with the distribution.
    - Neither the name of the Dictao nor the names of its contributors may
      be used to endorse or promote products derived from this software without
      specific prior written permission.

    THIS API IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS "AS IS"
    AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO,
    THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR
    PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT OWNER OR
    CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL,
    EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
    PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
    OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
    WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
    OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
    ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.

    Additional conditions are available on Dictao Developer website:
        http://www.dictao.com/developer/api/disclaimer

-->
<definitions name="dtp-frontoffice-v4"
             targetNamespace="http://dictao.com/wsdl/dtp/frontoffice/v4"
             xmlns="http://schemas.xmlsoap.org/wsdl/"
             xmlns:soap="http://schemas.xmlsoap.org/wsdl/soap/"
             xmlns:tns="http://dictao.com/wsdl/dtp/frontoffice/v4"
             xmlns:wsdl="http://schemas.xmlsoap.org/wsdl/"
             xmlns:xsd="http://www.w3.org/2001/XMLSchema">
    <!-- types -->
    <wsdl:types>
        <schema targetNamespace="http://dictao.com/wsdl/dtp/frontoffice/v4"
                xmlns="http://www.w3.org/2001/XMLSchema"
                xmlns:com="http://dictao.com/xsd/dtp/common/v4"
                xmlns:err="http://dictao.com/xsd/dtp/error/v4">
            <import namespace="http://dictao.com/xsd/dtp/common/v4"
                    schemaLocation="dtp-common-v4.xsd" />
            <import namespace="http://dictao.com/xsd/dtp/error/v4"
                    schemaLocation="dtp-error-v4.xsd" />
            <!-- Messages elements definition -->
            <element name="getDocument">
                <annotation>
                    <documentation xml:lang="en">Retrieve a document in a transaction by its file name</documentation>
                </annotation>
                <complexType>
                    <sequence>
                        <element name="transactionId" type="com:UUIDType">
                            <annotation>
                                <documentation xml:lang="en">Unique identifier of the transaction</documentation>
                            </annotation>
                        </element>
                        <element name="name" type="com:FileName">
                            <annotation>
                                <documentation xml:lang="en">filename of the document with extension</documentation>
                            </annotation>
                        </element>
                    </sequence>
                </complexType>
            </element>
            <element name="getDocumentResponse">
                <annotation>
                    <documentation xml:lang="en">Output for getDocument method</documentation>
                </annotation>
                <complexType>
                    <sequence>
                        <element name="document" type="com:Document">
                            <annotation>
                                <documentation xml:lang="en">Information and content of the document</documentation>
                            </annotation>
                        </element>
                    </sequence>
                </complexType>
            </element>
            <element name="putDocument">
                <annotation>
                    <documentation xml:lang="en">Add a document to the transaction. DTP will sign this document or won't depending on additional informations provided by the caller. Document can be added to unsealed transactions only</documentation>
                </annotation>
                <complexType>
                    <sequence>
                        <element name="transactionId" type="com:UUIDType">
                            <annotation>
                                <documentation xml:lang="en">Unique identifier of the transaction</documentation>
                            </annotation>
                        </element>
                        <element name="document" type="com:Document">
                            <annotation>
                                <documentation xml:lang="en">The document itself and associated information such as the description of signature fields</documentation>
                            </annotation>
                        </element>
                        <element name="type" type="com:NCName255">
                            <annotation>
                                <documentation xml:lang="en">Type (aka identifier) of the document in the transaction. Freely provided by the caller (no constraints enforced). If the transaction already contains a document with the same type the new document will overwrite the existing one</documentation>
                            </annotation>
                        </element>
                    </sequence>
                </complexType>
            </element>
            <element name="putDocumentResponse">
                <annotation>
                    <documentation xml:lang="en">No output for putDocument method</documentation>
                </annotation>
                <complexType />
            </element>
            <element name="getDocumentByType">
                <annotation>
                    <documentation xml:lang="en">Retrieve a document in a transaction by its type</documentation>
                </annotation>
                <complexType>
                    <sequence>
                        <element name="transactionId" type="com:UUIDType">
                            <annotation>
                                <documentation xml:lang="en">Unique identifier of the transaction</documentation>
                            </annotation>
                        </element>
                        <element name="type" type="com:NCName255">
                            <annotation>
                                <documentation xml:lang="en">Type (aka identifier) of the document</documentation>
                            </annotation>
                        </element>
                    </sequence>
                </complexType>
            </element>
            <element name="getDocumentByTypeResponse">
                <annotation>
                    <documentation xml:lang="en">Output for getDocumentByType method</documentation>
                </annotation>
                <complexType>
                    <sequence>
                        <element name="document" type="com:Document">
                            <annotation>
                                <documentation xml:lang="en">Information and content of the document</documentation>
                            </annotation>
                        </element>
                    </sequence>
                </complexType>
            </element>
            <element name="getDocumentsByType">
                <annotation>
                    <documentation xml:lang="en">Retrieve multiple documents in a transaction by providing a list of document types</documentation>
                </annotation>
                <complexType>
                    <sequence>
                        <element name="transactionId" type="com:UUIDType">
                            <annotation>
                                <documentation xml:lang="en">Unique identifier of the transaction</documentation>
                            </annotation>
                        </element>
                        <element name="list" type="com:NCName255" maxOccurs="300">
                            <annotation>
                                <documentation xml:lang="en">List of types (aka identifiers) of the documents. Some documents such as proofs generated by DTP have built-in types (see developers guide)</documentation>
                            </annotation>
                        </element>
                    </sequence>
                </complexType>
            </element>
            <element name="getDocumentsByTypeResponse">
                <annotation>
                    <documentation xml:lang="en">Output for getDocumentsByType method</documentation>
                </annotation>
                <complexType>
                    <sequence>
                        <element name="zip" type="base64Binary">
                            <annotation>
                                <documentation xml:lang="en">Archive (zip) containing all matching documents</documentation>
                            </annotation>
                        </element>
                    </sequence>
                </complexType>
            </element>
            <element name="getIndex">
                <annotation>
                    <documentation xml:lang="en">Retrieve the list of document types that have been actually put in the transaction</documentation>
                </annotation>
                <complexType>
                    <sequence>
                        <element name="transactionId" type="com:UUIDType">
                            <annotation>
                                <documentation xml:lang="en">Unique identifier of the transaction</documentation>
                            </annotation>
                        </element>
                    </sequence>
                </complexType>
            </element>
            <element name="getIndexResponse">
                <annotation>
                    <documentation xml:lang="en">Output for getIndex method</documentation>
                </annotation>
                <complexType>
                    <sequence>
                        <element maxOccurs="1000" minOccurs="0" name="entry" type="com:IndexEntry">
                            <annotation>
                                <documentation xml:lang="en">List of "IndexEntry" (filename and type) of the documents of the transaction</documentation>
                            </annotation>
                        </element>
                    </sequence>
                </complexType>
            </element>
            <element name="createTransaction">
                <annotation>
                    <documentation xml:lang="en">Create a new transaction</documentation>
                </annotation>
                <complexType>
                    <sequence>
                        <element name="tenant" type="com:NCName255">
                            <annotation>
                                <documentation xml:lang="en">Identification of the caller account. It is defined in functional configuration</documentation>
                            </annotation>
                        </element>
                        <element name="policy" type="com:NCName255">
                            <annotation>
                                <documentation xml:lang="en">Name of the transaction and proof policy. It is defined in functional configuration</documentation>
                            </annotation>
                        </element>
                        <element name="businessId" type="com:MediumText">
                            <annotation>
                                <documentation xml:lang="en">Identifier provided by the caller (no constraints enforced). It may be used for correlation between business application and DTP transactions</documentation>
                            </annotation>
                        </element>
                        <element name="company" type="com:NCName255" minOccurs="0">
                            <annotation>
                                <documentation xml:lang="en">Deprecated. Establishment name provided by the caller (no constraints enforced). It may be used for correlation</documentation>
                            </annotation>
                        </element>
                        <element name="metadata" type="com:Metadata" minOccurs="0">
                            <annotation>
                                <documentation xml:lang="en">List of metadata associated to the transaction. Freely provided by the caller (no constraints enforced). It will end up in the audit trail of DTP proof</documentation>
                            </annotation>
                        </element>
                    </sequence>
                </complexType>
            </element>
            <element name="createTransactionResponse">
                <annotation>
                    <documentation xml:lang="en">Output for createTransaction method</documentation>
                </annotation>
                <complexType>
                    <sequence>
                        <element name="transactionId" type="com:UUIDType">
                            <annotation>
                                <documentation xml:lang="en">Unique identifier of the newly created transaction</documentation>
                            </annotation>
                        </element>
                    </sequence>
                </complexType>
            </element>
            <element name="finishTransaction">
                <annotation>
                    <documentation xml:lang="en">Seal and finish a transaction. This method can be called on opened unsealed (i.e. not finished) transactions only. It won't be possible to add documents or user access on a finished transaction</documentation>
                </annotation>
                <complexType>
                    <sequence>
                        <element name="transactionId" type="com:UUIDType">
                            <annotation>
                                <documentation xml:lang="en">Unique identifier of the transaction</documentation>
                            </annotation>
                        </element>
                    </sequence>
                </complexType>
            </element>
            <element name="finishTransactionResponse">
                <annotation>
                    <documentation xml:lang="en">Output for finishTransaction method</documentation>
                </annotation>
                <complexType />
            </element>
            <element name="cancelTransaction">
                <annotation>
                    <documentation xml:lang="en">Cancel a transaction. This method can be called on opened unsealed (i.e. not finished) transactions only. It won't be possible to add documents or user access on a cancelled transaction</documentation>
                </annotation>
                <complexType>
                    <sequence>
                        <element name="transactionId" type="com:UUIDType">
                            <annotation>
                                <documentation xml:lang="en">Unique identifier of the transaction</documentation>
                            </annotation>
                        </element>
                    </sequence>
                </complexType>
            </element>
            <element name="cancelTransactionResponse">
                <annotation>
                    <documentation xml:lang="en">Output for cancelTransaction method</documentation>
                </annotation>
                <complexType />
            </element>
            <element name="archiveTransaction">
                <annotation>
                    <documentation xml:lang="en">Archive a transaction. This method can be called on finished and sealed transactions only</documentation>
                </annotation>
                <complexType>
                    <sequence>
                        <element name="transactionId" type="com:UUIDType">
                            <annotation>
                                <documentation xml:lang="en">Unique identifier of the transaction</documentation>
                            </annotation>
                        </element>
                        <element name="documentTypesToExcludeOnArchive" type="com:NCName255" minOccurs="0" maxOccurs="300">
                            <annotation>
                                <documentation xml:lang="en">List of document types to exclude from transaction archive. All the other documents of the transaction will be archived</documentation>
                            </annotation>
                        </element>
                        <element name="metadata" type="com:ArchiveMetadata" minOccurs="0">
                            <annotation>
                                <documentation xml:lang="en">List of metadata associated with the transaction archive. They must comply with archiving policy and allowed metadata defined by the archiver.</documentation>
                            </annotation>
                        </element>
                    </sequence>
                </complexType>
            </element>
            <element name="archiveTransactionResponse">
                <annotation>
                    <documentation xml:lang="en">Output for archiveTransaction method</documentation>
                </annotation>
                <complexType />
            </element>
            <element name="createUserAccess">
                <annotation>
                    <documentation xml:lang="en">Create an access to the transaction content for the specified user</documentation>
                </annotation>
                <complexType>
                    <sequence>
                        <element name="transactionId" type="com:UUIDType">
                            <annotation>
                                <documentation xml:lang="en">Unique identifier of the transaction</documentation>
                            </annotation>
                        </element>
                        <element name="userInfo" type="com:PersonalInfo">
                            <annotation>
                                <documentation xml:lang="en">User personal informations. Provided by the caller. They will bu user for authentication and signature creation</documentation>
                            </annotation>
                        </element>
                        <element name="timeout" type="long" nillable="true">
                            <annotation>
                                <documentation xml:lang="en">Lifetime of user access (ms). By default, the value is 10 minutes. No time limit except that due to LONG type.</documentation>
                            </annotation>
                        </element>
                        <element name="metadata" type="com:Metadata" minOccurs="0">
                            <annotation>
                                <documentation xml:lang="en">List of metadata associated to the user. Freely provided by the caller (no constraints enforced). It will end up in the audit trail of DTP proof</documentation>
                            </annotation>
                        </element>
                        <element name="authorizedDocTypes" type="com:NCName255" minOccurs="0" maxOccurs="300">
                            <annotation>
                                <documentation xml:lang="en">List of document types which access is allowed for provided user</documentation>
                            </annotation>
                        </element>
                        <element name="userType" type="com:NCName255">
                            <annotation>
                                <documentation xml:lang="en">Unique Identifier of user. Freely provided by the caller (no constraints enforced)</documentation>
                            </annotation>
                        </element>
                    </sequence>
                </complexType>
            </element>
            <element name="createUserAccessResponse">
                <annotation>
                    <documentation xml:lang="en">Output for createUserAccess method</documentation>
                </annotation>
                <complexType>
                    <sequence>
                        <element name="accessId" type="com:UUIDType">
                            <annotation>
                                <documentation xml:lang="en">Unique identifier of the user access</documentation>
                            </annotation>
                        </element>
                    </sequence>
                </complexType>
            </element>
            <element name="cancelUserAccess">
                <annotation>
                    <documentation xml:lang="en">Cancel a user access. Associated user access Id will no longer grant access to transaction resources. Documents updated by the user access will be reverted. This method will return an error if user access is already cancelled or if the documents accessed by the user have been modified by another user access</documentation>
                </annotation>
                <complexType>
                    <sequence>
                        <element name="accessId" type="com:UUIDType">
                            <annotation>
                                <documentation xml:lang="en">Identifier of the user access to cancel</documentation>
                            </annotation>
                        </element>
                    </sequence>
                </complexType>
            </element>
            <element name="cancelUserAccessResponse">
                <annotation>
                    <documentation xml:lang="en">Output for cancelUserAccess method</documentation>
                </annotation>
                <complexType/>
            </element>
            <element name="finishUserAccess">
                <annotation>
                    <documentation xml:lang="en">Finish a user access. Associated user access Id will no longer grant access to transaction resources. This method will return an error when user access is already closed or cancelled</documentation>
                </annotation>
                <complexType>
                    <sequence>
                        <element name="accessId" type="com:UUIDType">
                            <annotation>
                                <documentation xml:lang="en">Identifier provided by the caller</documentation>
                            </annotation>
                        </element>
                    </sequence>
                </complexType>
            </element>
            <element name="finishUserAccessResponse">
                <annotation>
                    <documentation xml:lang="en">Output for finishUserAccess method</documentation>
                </annotation>
                <complexType/>
            </element>
            <element name="echo">
                <annotation>
                    <documentation xml:lang="en">Echo method</documentation>
                </annotation>
                <complexType>
                    <sequence>
                        <element name="request" type="com:MediumText">
                            <annotation>
                                <documentation xml:lang="en">Test string</documentation>
                            </annotation>
                        </element>
                    </sequence>
                </complexType>
            </element>
            <element name="echoResponse">
                <annotation>
                    <documentation xml:lang="en">Output for echo method</documentation>
                </annotation>
                <complexType>
                    <sequence>
                        <element name="response" type="com:MediumText">
                            <annotation>
                                <documentation xml:lang="en">String provided for call WS echo</documentation>
                            </annotation>
                        </element>
                    </sequence>
                </complexType>
            </element>
            <element name="systemFault" type="err:SystemErrorInfo">
                <annotation>
                    <documentation xml:lang="en">These errors are related to DTP runtime environment</documentation>
                </annotation>
            </element>
            <element name="userFault" type="err:UserErrorInfo">
                <annotation>
                    <documentation xml:lang="en">These errors are related to data supplied by the caller</documentation>
                </annotation>
            </element>
        </schema>
    </wsdl:types>
    <message name="getDocument">
        <part element="tns:getDocument" name="parameters"/>
    </message>
    <message name="getDocumentResponse">
        <part element="tns:getDocumentResponse" name="result"/>
    </message>
    <message name="putDocument">
        <part element="tns:putDocument" name="parameters"/>
    </message>
    <message name="putDocumentResponse">
        <part element="tns:putDocumentResponse" name="result"/>
    </message>
    <message name="getDocumentByType">
        <part element="tns:getDocumentByType" name="parameters"/>
    </message>
    <message name="getDocumentByTypeResponse">
        <part element="tns:getDocumentByTypeResponse" name="result"/>
    </message>
    <message name="getDocumentsByType">
        <part element="tns:getDocumentsByType" name="parameters"/>
    </message>
    <message name="getDocumentsByTypeResponse">
        <part element="tns:getDocumentsByTypeResponse" name="result"/>
    </message>
    <message name="getIndex">
        <part element="tns:getIndex" name="parameters"/>
    </message>
    <message name="getIndexResponse">
        <part element="tns:getIndexResponse" name="result"/>
    </message>
    <message name="createTransaction">
        <part element="tns:createTransaction" name="parameters"/>
    </message>
    <message name="createTransactionResponse">
        <part element="tns:createTransactionResponse" name="result"/>
    </message>
    <message name="finishTransaction">
        <part name="parameters" element="tns:finishTransaction"/>
    </message>
    <message name="finishTransactionResponse">
        <part element="tns:finishTransactionResponse" name="result"/>
    </message>
    <message name="cancelTransaction">
        <part element="tns:cancelTransaction" name="parameters"/>
    </message>
    <message name="cancelTransactionResponse">
        <part element="tns:cancelTransactionResponse" name="result"/>
    </message>
    <message name="archiveTransaction">
        <part element="tns:archiveTransaction" name="parameters"/>
    </message>
    <message name="archiveTransactionResponse">
        <part element="tns:archiveTransactionResponse" name="result"/>
    </message>
    <message name="createUserAccess">
        <part element="tns:createUserAccess" name="parameters"/>
    </message>
    <message name="createUserAccessResponse">
        <part element="tns:createUserAccessResponse" name="result"/>
    </message>
    <message name="cancelUserAccess">
        <part element="tns:cancelUserAccess" name="parameters"/>
    </message>
    <message name="cancelUserAccessResponse">
        <part element="tns:cancelUserAccessResponse" name="result"/>
    </message>
    <message name="finishUserAccess">
        <part element="tns:finishUserAccess" name="parameters"/>
    </message>
    <message name="finishUserAccessResponse">
        <part element="tns:finishUserAccessResponse" name="result"/>
    </message>
    <message name="echo">
        <part element="tns:echo" name="parameters"/>
    </message>
    <message name="echoResponse">
        <part element="tns:echoResponse" name="result"/>
    </message>
    <message name="systemFaultException">
        <part element="tns:systemFault" name="parameters"/>
    </message>
    <message name="userFaultException">
        <part element="tns:userFault" name="parameters"/>
    </message>
    <portType name="DocumentPort">
        <operation name="getDocument">
            <input message="tns:getDocument" name="getDocument"/>
            <output message="tns:getDocumentResponse" name="getDocumentResponse"/>
            <fault message="tns:systemFaultException" name="systemFault"/>
            <fault message="tns:userFaultException" name="userFault"/>
        </operation>
        <operation name="putDocument">
            <input message="tns:putDocument" name="putDocument"/>
            <output message="tns:putDocumentResponse" name="putDocumentResponse"/>
            <fault message="tns:systemFaultException" name="systemFault"/>
            <fault message="tns:userFaultException" name="userFault"/>
        </operation>
        <operation name="getDocumentByType">
            <input message="tns:getDocumentByType" name="getDocumentByType"/>
            <output message="tns:getDocumentByTypeResponse" name="getDocumentByTypeResponse"/>
            <fault message="tns:systemFaultException" name="systemFault"/>
            <fault message="tns:userFaultException" name="userFault"/>
        </operation>
        <operation name="getDocumentsByType">
            <input message="tns:getDocumentsByType" name="getDocumentsByType"/>
            <output message="tns:getDocumentsByTypeResponse" name="getDocumentsByTypeResponse"/>
            <fault message="tns:systemFaultException" name="systemFault"/>
            <fault message="tns:userFaultException" name="userFault"/>
        </operation>
        <operation name="getIndex">
            <input message="tns:getIndex" name="getIndex"/>
            <output message="tns:getIndexResponse" name="getIndexResponse"/>
            <fault message="tns:systemFaultException" name="systemFault"/>
            <fault message="tns:userFaultException" name="userFault"/>
        </operation>
    </portType>
    <portType name="TransactionPort">
        <operation name="createUserAccess">
            <input message="tns:createUserAccess" name="createUserAccess"/>
            <output message="tns:createUserAccessResponse" name="createUserAccessResponse"/>
            <fault message="tns:systemFaultException" name="systemFault"/>
            <fault message="tns:userFaultException" name="userFault"/>
        </operation>
        <operation name="createTransaction">
            <input message="tns:createTransaction" name="createTransaction"/>
            <output message="tns:createTransactionResponse" name="createTransactionResponse"/>
            <fault message="tns:systemFaultException" name="systemFault"/>
            <fault message="tns:userFaultException" name="userFault"/>
        </operation>
        <operation name="finishTransaction">
            <input message="tns:finishTransaction" name="finishTransaction"/>
            <output message="tns:finishTransactionResponse" name="finishTransactionResponse"/>
            <fault message="tns:systemFaultException" name="systemFault"/>
            <fault message="tns:userFaultException" name="userFault"/>
        </operation>
        <operation name="cancelTransaction">
            <input message="tns:cancelTransaction" name="cancelTransaction"/>
            <output message="tns:cancelTransactionResponse" name="cancelTransactionResponse"/>
            <fault message="tns:systemFaultException" name="systemFault"/>
            <fault message="tns:userFaultException" name="userFault"/>
        </operation>
        <operation name="archiveTransaction">
            <input message="tns:archiveTransaction" name="archiveTransaction"/>
            <output message="tns:archiveTransactionResponse" name="archiveTransactionResponse"/>
            <fault message="tns:systemFaultException" name="systemFault"/>
            <fault message="tns:userFaultException" name="userFault"/>
        </operation>
        <operation name="cancelUserAccess">
            <input message="tns:cancelUserAccess" name="cancelUserAccess"/>
            <output message="tns:cancelUserAccessResponse" name="cancelUserAccessResponse"/>
            <fault message="tns:systemFaultException" name="systemFault"/>
            <fault message="tns:userFaultException" name="userFault"/>
        </operation>
        <operation name="finishUserAccess">
            <input message="tns:finishUserAccess" name="finishUserAccess"/>
            <output message="tns:finishUserAccessResponse" name="finishUserAccessResponse"/>
            <fault message="tns:systemFaultException" name="systemFault"/>
            <fault message="tns:userFaultException" name="userFault"/>
        </operation>
    </portType>
    <portType name="echoPort">
        <operation name="echo">
            <input message="tns:echo" name="echo"/>
            <output message="tns:echoResponse" name="echoResponse"/>
            <fault message="tns:systemFaultException" name="systemFault"/>
            <fault message="tns:userFaultException" name="userFault"/>
        </operation>
    </portType>
    <binding name="document_v4_SOAPBinding" type="tns:DocumentPort">
        <soap:binding style="document" transport="http://schemas.xmlsoap.org/soap/http"/>
        <operation name="getDocument">
            <soap:operation soapAction="urn:dtp/frontoffice/document/get"/>
            <input name="getDocument">
                <soap:body use="literal"/>
            </input>
            <output name="getDocumentResponse">
                <soap:body use="literal"/>
            </output>
            <fault name="systemFault">
                <soap:fault name="systemFault" use="literal"/>
            </fault>
            <fault name="userFault">
                <soap:fault name="userFault" use="literal"/>
            </fault>
        </operation>
        <operation name="putDocument">
            <soap:operation soapAction="urn:dtp/frontoffice/document/put"/>
            <input name="putDocument">
                <soap:body use="literal"/>
            </input>
            <output name="putDocumentResponse">
                <soap:body use="literal"/>
            </output>
            <fault name="systemFault">
                <soap:fault name="systemFault" use="literal"/>
            </fault>
            <fault name="userFault">
                <soap:fault name="userFault" use="literal"/>
            </fault>
        </operation>
        <operation name="getDocumentByType">
            <soap:operation soapAction="urn:dtp/frontoffice/document/getByType"/>
            <input name="getDocumentByType">
                <soap:body use="literal"/>
            </input>
            <output name="getDocumentByTypeResponse">
                <soap:body use="literal"/>
            </output>
            <fault name="systemFault">
                <soap:fault name="systemFault" use="literal"/>
            </fault>
            <fault name="userFault">
                <soap:fault name="userFault" use="literal"/>
            </fault>
        </operation>
        <operation name="getDocumentsByType">
            <soap:operation soapAction="urn:dtp/frontoffice/document/getsByType"/>
            <input name="getDocumentsByType">
                <soap:body use="literal"/>
            </input>
            <output name="getDocumentsByTypeResponse">
                <soap:body use="literal"/>
            </output>
            <fault name="systemFault">
                <soap:fault name="systemFault" use="literal"/>
            </fault>
            <fault name="userFault">
                <soap:fault name="userFault" use="literal"/>
            </fault>
        </operation>
        <operation name="getIndex">
            <soap:operation soapAction="urn:dtp/frontoffice/document/index"/>
            <input name="getIndex">
                <soap:body use="literal"/>
            </input>
            <output name="getIndexResponse">
                <soap:body use="literal"/>
            </output>
            <fault name="systemFault">
                <soap:fault name="systemFault" use="literal"/>
            </fault>
            <fault name="userFault">
                <soap:fault name="userFault" use="literal"/>
            </fault>
        </operation>
    </binding>
    <binding name="transaction_v4_SOAPBinding" type="tns:TransactionPort">
        <soap:binding style="document" transport="http://schemas.xmlsoap.org/soap/http"/>
        <operation name="createTransaction">
            <soap:operation soapAction="urn:dtp/frontoffice/transaction/create"/>
            <input name="createTransaction">
                <soap:body use="literal"/>
            </input>
            <output name="createTransactionResponse">
                <soap:body use="literal"/>
            </output>
            <fault name="systemFault">
                <soap:fault name="systemFault" use="literal"/>
            </fault>
            <fault name="userFault">
                <soap:fault name="userFault" use="literal"/>
            </fault>
        </operation>
        <operation name="finishTransaction">
            <soap:operation soapAction="urn:dtp/frontoffice/transaction/finish"/>
            <input name="finishTransaction">
                <soap:body use="literal"/>
            </input>
            <output name="finishTransactionResponse">
                <soap:body use="literal"/>
            </output>
            <fault name="systemFault">
                <soap:fault name="systemFault" use="literal"/>
            </fault>
            <fault name="userFault">
                <soap:fault name="userFault" use="literal"/>
            </fault>
        </operation>
        <operation name="cancelTransaction">
            <soap:operation soapAction="urn:dtp/frontoffice/transaction/cancel"/>
            <input name="cancelTransaction">
                <soap:body use="literal"/>
            </input>
            <output name="cancelTransactionResponse">
                <soap:body use="literal"/>
            </output>
            <fault name="systemFault">
                <soap:fault name="systemFault" use="literal"/>
            </fault>
            <fault name="userFault">
                <soap:fault name="userFault" use="literal"/>
            </fault>
        </operation>
        <operation name="archiveTransaction">
            <soap:operation soapAction="urn:dtp/frontoffice/transaction/archive"/>
            <input name="archiveTransaction">
                <soap:body use="literal"/>
            </input>
            <output name="archiveTransactionResponse">
                <soap:body use="literal"/>
            </output>
            <fault name="systemFault">
                <soap:fault name="systemFault" use="literal"/>
            </fault>
            <fault name="userFault">
                <soap:fault name="userFault" use="literal"/>
            </fault>
        </operation>
        <operation name="createUserAccess">
            <soap:operation soapAction="urn:dtp/frontoffice/transaction/userAccess/add"/>
            <input name="createUserAccess">
                <soap:body use="literal"/>
            </input>
            <output name="createUserAccessResponse">
                <soap:body use="literal"/>
            </output>
            <fault name="systemFault">
                <soap:fault name="systemFault" use="literal"/>
            </fault>
            <fault name="userFault">
                <soap:fault name="userFault" use="literal"/>
            </fault>
        </operation>
        <operation name="cancelUserAccess">
            <soap:operation soapAction="urn:dtp/frontoffice/transaction/userAccess/cancel"/>
            <input name="cancelUserAccess">
                <soap:body use="literal"/>
            </input>
            <output name="cancelUserAccessResponse">
                <soap:body use="literal"/>
            </output>
            <fault name="systemFault">
                <soap:fault name="systemFault" use="literal"/>
            </fault>
            <fault name="userFault">
                <soap:fault name="userFault" use="literal"/>
            </fault>
        </operation>
        <operation name="finishUserAccess">
            <soap:operation soapAction="urn:dtp/frontoffice/transaction/userAccess/finish"/>
            <input name="finishUserAccess">
                <soap:body use="literal"/>
            </input>
            <output name="finishUserAccessResponse">
                <soap:body use="literal"/>
            </output>
            <fault name="systemFault">
                <soap:fault name="systemFault" use="literal"/>
            </fault>
            <fault name="userFault">
                <soap:fault name="userFault" use="literal"/>
            </fault>
        </operation>
    </binding>
    <binding name="echo_v4_SOAPBinding" type="tns:echoPort">
        <soap:binding style="document" transport="http://schemas.xmlsoap.org/soap/http"/>
        <operation name="echo">
            <soap:operation soapAction="urn:dtp/frontoffice/echo/echo"/>
            <input name="echo">
                <soap:body use="literal"/>
            </input>
            <output name="echoResponse">
                <soap:body use="literal"/>
            </output>
            <fault name="systemFault">
                <soap:fault name="systemFault" use="literal"/>
            </fault>
            <fault name="userFault">
                <soap:fault name="userFault" use="literal"/>
            </fault>
        </operation>
    </binding>
    <service name="FrontOfficeService">
        <port binding="tns:document_v4_SOAPBinding" name="documentPort">
            <soap:address location="http://dictao.com/wsdl/dtp/frontoffice/v4"/>
        </port>
        <port binding="tns:transaction_v4_SOAPBinding" name="transactionPort">
            <soap:address location="http://dictao.com/wsdl/dtp/frontoffice/v4"/>
        </port>
        <port binding="tns:echo_v4_SOAPBinding" name="echoPort">
            <soap:address location="http://dictao.com/wsdl/dtp/frontoffice/v4"/>
        </port>
    </service>
</definitions>
